
QGIS Application - Bug report #18357

Qgis crash opening Plugins

2018-03-06 06:00 PM - Antonio Consoli

Status: Closed

Priority: Normal

Assignee: Borys Jurgiel

Category: Windows Package

Affected QGIS version:3.0.0 Regression?: Yes

Operating System: windows 10 Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:Yes Copied to github as #: 26247

Description

Qgis crashes when I try to open plugins from menu bar

User Feedback

Report Details

Crash ID: bcb24f74188137f76f4617168058fc0609bfe2e8

Stack Trace

QString::fill :

QString::indexOf :

QDir::fromNativeSeparators :

QFileInfo::QFileInfo :

QFileInfo::QFileInfo :

QgsMapToolCircle3Points::qt_static_metacall :

QgsMapToolCircle3Points::qt_static_metacall :

PyInit__gui :

PyCFunction_FastCallDict :

PyObject_GenericGetAttr :

PyEval_EvalFrameDefault :

PyErr_Occurred :

PyObject_GenericGetAttr :

PyEval_EvalFrameDefault :

PyErr_Occurred :

PyEval_EvalCode :

PyArena_Free :

PyRun_StringFlags :

instance :

instance :

QgisApp::rotatePointSymbols :

QgsPythonRunner::run :

QgisApp::showPluginManager :

QMetaObject::activate :

QAction::activate :

QMenu::actionGeometry :

QMenu::actionGeometry :

QMenu::mouseReleaseEvent :

QWidget::event :

QMenu::event :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QApplicationPrivate::sendMouseEvent :

QSizePolicy::QSizePolicy :

QSizePolicy::QSizePolicy :

QApplicationPrivate::notify_helper :
QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QGuiApplicationPrivate::processMouseEvent :

QWindowSystemInterface::sendWindowSystemEvents :

QEventDispatcherWin32::processEvents :

CallWindowProcW :

DispatchMessageW :

QEventDispatcherWin32::processEvents :

qt_plugin_query_metadata :

QEventLoop::exec :

QCoreApplication::exec :

main :

BaseThreadInitThunk :

RtlUserThreadStart :

QGIS Info

QGIS Version: 3.0.0-Girona

QGIS code revision: commit:001c80b0c3

Compiled against Qt: 5.9.2

Running against Qt: 5.9.2

Compiled against GDAL: 2.2.3

Running against GDAL: 2.2.3

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 10.0.16299

History

#1 - 2018-03-06 06:39 PM - Borys Jurgiel

- Category changed from Plugin Manager to Windows Package

Is QGIS installed from the standalone installer or OSGeo4W? What other QGIS versions are already installed?

Please check if some of the cleanings described here works for you: #18261 and #18220

Unfortunately it's not reproducable on most machines so I can only guess :(

#2 - 2018-03-06 06:40 PM - Giovanni Manghi

- Status changed from Open to Feedback

#3 - 2018-03-07 09:41 AM - Antonio Consoli

Borys Jurgiel wrote:

Is QGIS installed from the standalone installer or OSGeo4W? What other QGIS versions are already installed?

Please check if some of the cleanings described here works for you: #18261 and #18220

Unfortunately it's not reproducable on most machines so I can only guess :(

I have installed QGIS from OSGeo4W this version, 3.0.0, and 2.18.17. I'll try to follow your suggestion

Thanks a lot
#4 - 2018-03-29 01:10 PM - Daniel Possenriede

As feedback re: #18527 and this one: I deleted the OSGeo4W directory and did a clean reinstall with the OSGeo4W installer (3.0.1 and 2.18.18 LTR) and

this seems to have resolved the problem. Plugin-Manager opens and does not crash QGIS.

#5 - 2018-05-16 05:42 PM - Alexander Bruy

- Status changed from Feedback to Closed
